Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# EventObject Class Reference

`#include <coherence/util/EventObject.hpp>`

Inherits Describable.

Inherited by MapEvent.

List of all members.

## Detailed Description

The root class from which all event state objects shall be derived.

All Events are constructed with a reference to the object, the "source", that is logically deemed to be the object upon which the Event in question initially occurred upon.

Author:
  js 2008.06.04

## Public Types
typedef spec::Handle | Handle
| EventObject Handle definition.
typedef spec::View | View
| EventObject View definition.
typedef spec::Holder | Holder
| EventObject Holder definition.
## Public Member Functions
virtual Object::Handle | getSource () const
| The object on which the Event initially occurred.
virtual void | outputDescription (std::ostream &out) const
  | Output a human-readable description of the state of this class in the form of a delimited list of name-value pairs. Generally it is also advisable to start with a call to super::outputDescription(out) The default implementation does not output anything to the stream. Parameters:
  | out | the stream to output the description to
## Protected Member Functions
| EventObject (Object::Handle hSource)
| Create a prototypical Event.
## Protected Attributes
MemberHandle< Object > | m_hoSource
| The object on which the Event initially occurred.

## Constructor & Destructor Documentation

EventObject | ( | Object::Handle | hSource | ) | `[protected]`

Create a prototypical Event.

Parameters:

  | hSource | the object on which the Event initially occurred

Exceptions:

  | IllegalArgumentException | if source is NULL.

## Member Function Documentation

virtual Object::Handle getSource | ( |  | ) | const `[virtual]`

The object on which the Event initially occurred.

Returns:
  The object on which the Event initially occurred

The documentation for this class was generated from the following file:

- coherence/util/EventObject.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.